import { Stack, Tile, Button, Link, MenuButton, MenuItem } from "@carbon/react";
import React from "react";
export const C3EmptyState = ({ icon, heading, description, button, link, }) => (React.createElement(Tile, { style: {
        paddingLeft: "5rem",
        paddingTop: "3rem",
        paddingBottom: "3rem",
    } },
    React.createElement(Stack, { orientation: "horizontal", gap: 6 },
        icon && React.createElement("img", { src: icon.path, alt: icon.altText }),
        React.createElement(Stack, { gap: 3 },
            React.createElement("h2", null, heading),
            React.createElement(Stack, { gap: 6 },
                React.createElement("p", { style: { maxWidth: "400px" } }, description),
                React.createElement(Stack, { gap: 5 },
                    button && (React.createElement(React.Fragment, null, "items" in button ? (React.createElement(MenuButton, { size: "md", disabled: button.disabled, label: button.label, menuAlignment: "bottom" }, button.items.map((menuItem) => {
                        return (React.createElement(MenuItem, { key: menuItem.id, onClick: menuItem.onClick, renderIcon: menuItem.icon, disabled: menuItem.disabled, label: menuItem.label }));
                    }))) : (React.createElement(Button, { id: button.id, size: "md", onClick: button.onClick, renderIcon: button.icon, disabled: button.disabled }, button.label)))),
                    link && (React.createElement("div", null,
                        React.createElement(Link, { target: "_blank", href: link.href, onClick: link.onClick }, link.label)))))))));
